# Interface FilterJson

Filter allows client applications to reduce the drawn elements of a building to specific types and values. Filters on the webscene override the list of existing filters on the service.

interface FilterJson {
description?: string;
filterAuthoringInfo?: FilterAuthoringInfoCheckboxJson;
filterBlocks: FilterBlockJson[];
id?: string;
name?: string;
}

#####
Index

### Properties

description?
filterAuthoringInfo?
filterBlocks
id?
name?

##
Properties

### `Optional` description

description?: string

Description of the filter.

### `Optional` filterAuthoringInfo

filterAuthoringInfo?: FilterAuthoringInfoCheckboxJson

Metadata about the authoring process for this filter.

### filterBlocks

filterBlocks: FilterBlockJson[]

Array of filter blocks defining the filter. A filter contains at least one filter block.

### `Optional` id

id?: string

Unique filter id (uuid). Either a new id to extend the list of filters, or an existing id to override properties of an existing filter.

### `Optional` name

name?: string

Name of the filter.